/* cases-item-wide START */
.cases-item-wide {
    display: flex;
    border-radius: 1rem;
    background: var(--color-surface);
    overflow: hidden;
    transition: var(--trans);
}

.cases-item-wide__image {
    flex: 0 0 auto;
    width: 49.2%;
}

.cases-item-wide__info {
    display: flex;
    padding: 4rem;
    gap: 8rem;
}

.cases-item-wide__info-content { 
    gap: 1rem;
}

.cases-item-wide__tags {
    margin-bottom: 1rem;
}

.cases-item-wide__tag {
    color: var(--color-text);
}

.cases-item-wide__info-btns {
    flex: 0 0 auto;
}

.cases-item-wide__name {
    transition: var(--trans);
}

.cases-item-wide__text {
    --clamp: 4;
}

@media (hover: hover) and (pointer: fine) {
    .cases-item-wide:hover {
        background: var(--color-text);
        color: var(--color-secondary);
    }

    .cases-item-wide:hover .icon circle {
        fill: var(--color-tertiary);
        stroke: var(--color-tertiary);
    }

    .cases-item-wide:hover .icon path {
        stroke: var(--color-secondary);
    }

    .cases-item-wide:hover .cases-item-wide__name {
        color: var(--color-secondary);
    }
}

@media screen and (max-width: 1024.9px) {
    .cases-item-wide__image {
        width: 35%;
    }
}

@media screen and (max-width: 767.9px) {
    .cases-item-wide {
        flex-direction: column;
    }

    .cases-item-wide__image {
        width: 100%;
        aspect-ratio: 335/160;
    }

    .cases-item-wide__info {
        flex-direction: column;
        padding: 3rem;
    }

    .cases-item-wide__info-btns {
        margin-left: auto;
    }
}
/* cases-item-wide END */



/* cases-item START */
.cases-item {
    box-shadow: inset 0 0 0 0.1rem var(--color-text);
    position: relative;
    transition: var(--trans);
}

.cases-item__image {
    width: 100%;
    aspect-ratio: 610/280;
}

.cases-item__info {
    padding: 4rem;
}

.cases-item__info-content {
    gap: 1rem;
}

.cases-item__tags {
    margin-bottom: 1rem;
}

.cases-item__tag {
    background: var(--color-primary);
    color: var(--color-surface);
}

.cases-item__text {
    --clamp: 4;

    color: var(--color-surface);
}

.cases-item__info-btns {
    display: flex;
    justify-content: flex-end;
    position: absolute;
    top: 4rem;
    right: 4rem;
    z-index: 1;
}

.cases-item__info-btns circle {
    --fill-color: var(--color-primary);

    fill: var(--fill-color);
    stroke: var(--fill-color);
}

.cases-item__info-btns path {
    stroke: var(--color-secondary);
}

.section-dark .cases-item {
    border-color: var(--color-surface);
    background: var(--color-surface);
    color: var(--color-text);
}

.section-dark .cases-item__tag {
    background: var(--color-secondary);
    color: var(--color-primary);
}

.section-dark .cases-item__name {
    color: var(--color-primary);
    transition: 0s;
}

.section-dark .cases-item__text {
    color: inherit;
}

@media (hover: hover) and (pointer: fine) {
    .cases-item:hover {
        background: var(--color-primary);
        box-shadow: inset 0 0 0 0.1rem transparent;
    }

    .cases-item:hover .cases-item__info-btns circle {
        --fill-color: var(--color-secondary);
    }

    .cases-item:hover .cases-item__info-btns path {
        stroke: var(--color-primary);
    }

    .cases-item .icon:hover circle {
        fill: var(--color-secondary);
        stroke: var(--color-secondary);
    }

    .cases-item .icon:hover path {
        stroke: var(--color-primary);
    }


    .section-dark .cases-item:hover {
        border-color: var(--color-text);
        background: var(--color-text);
        color: var(--color-secondary);
    }

    .section-dark .cases-item:hover .cases-item__name {
        color: var(--color-secondary);
    }

    .section-dark .cases-item:hover .cases-item__text {
        color: var(--color-surface);
    }

    .section-dark .cases-item:hover circle {
        fill: var(--color-tertiary);
        stroke: var(--color-tertiary);
    }

    .section-dark .cases-item:hover path {
        stroke: var(--color-secondary);
    }
}

@media screen and (max-width: 1024.9px) {
    .cases-item__info-btns {
        top: 2rem;
        right: 2rem;
    }
}

@media screen and (max-width: 767.9px) {
    .cases-item__info-btns {
        position: static;
        padding-top: 6rem;
    }

    .cases-item__info-btns circle {
        --fill-color: var(--color-secondary);
        fill: var(--color-secondary);
    }

    .cases-item__info-btns path {
        stroke: var(--color-primary);
    }

    .cases-item__text {
        --clamp: 10;
    }
}

@media screen and (max-width: 575.9px) {
    .cases-item {
        background: var(--color-primary);
        box-shadow: inset 0 0 0 0.1rem transparent;
    }

    .cases-item__info {
        padding: 3rem;
    }

    .cases-item .icon circle {
        fill: var(--color-secondary);
    }

    .cases-item .icon path {
        stroke: var(--color-primary);
    }
}
/* cases-item END */